> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jsonify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a workflow with a webhook

> If a workflow has a webhook input action, you can start it with this API. See the documentation in the workflow editor for details



## OpenAPI

````yaml https://app.jsonify.com/static/openapi.yaml post /api/v2/workflow/{workflow_id}/node/{node_id}/start
openapi: 3.0.0
info:
  title: Jsonify Platform API
  version: 2.0.0
  description: The Jsonify platform API lets you create and manage agent and data tasks.
servers:
  - url: https://api.jsonify.com
    description: Production server
security: []
paths:
  /api/v2/workflow/{workflow_id}/node/{node_id}/start:
    post:
      summary: Start a workflow with a webhook
      description: >-
        If a workflow has a webhook input action, you can start it with this
        API. See the documentation in the workflow editor for details
      parameters:
        - name: workflow_id
          in: path
          required: true
          description: The GUID of a wokflow
          schema:
            type: string
            format: uuid
            example: 00000000-0000-0000-0000-000000000000
        - name: node_id
          in: path
          required: true
          description: The GUID of a wokflow
          schema:
            type: string
            format: uuid
            example: 00000000-0000-0000-0000-000000000000
      responses:
        '200':
          description: A task result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResultResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ResultResponse:
      type: object
      properties:
        message:
          type: string
        result:
          $ref: '#/components/schemas/Result'
        success:
          type: boolean
    Result:
      type: object
      properties:
        changed:
          type: boolean
        credits:
          $ref: '#/components/schemas/Credits'
        details:
          $ref: '#/components/schemas/Details'
        json:
          $ref: '#/components/schemas/JsonData'
        screenshots:
          type: array
          items:
            type: string
            format: uri
        when:
          type: integer
          format: int64
        done:
          type: boolean
          description: whether the result has finished processing or not. poll until true.
        id:
          type: string
    Credits:
      type: object
      properties:
        remaining:
          type: integer
        used:
          type: integer
    Details:
      type: object
      properties:
        descr:
          type: string
    JsonData:
      type: object
      properties:
        data:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````